import { a4 as o, aJ as c, aK as e, aL as i, aM as r, aN as u, aO as w, aP as l, T as f, aQ as y, aR as g, aS as N, aT as h, aU as b, aV as a, aW as D, aX as R, F, aY as k, aZ as I, a_ as K, a$ as $, b0 as S, b1 as L, b2 as x, b3 as T, b4 as v, b5 as E, b6 as j, b7 as V, b8 as A, b9 as B, ba as M, bb as J, bc as P, bd as H, be as O, Y as U, bf as q, bg as G, bh as Q, bi as W, bj as Y, bk as z, O as X, bl as Z, bm as _, bn as oo, bo as eo, bp as mo, bq as p, br as io, bs as ro, bt as ao, bu as po, bv as to, bw as no, bx as so, by as Co, bz as co, bA as uo, bB as wo, bC as lo, bD as fo, bE as yo, bF as go, bG as No, bH as ho, bI as bo, bJ as Do, bK as Ro, bL as Fo, bM as ko, bN as Io, bO as Ko, bP as $o, bQ as So, bR as t, bS as Lo, bT as xo, bU as To, bV as vo } from "./56c67d3b.js";
import { DropdownComp as Eo } from "./590a55aa.js";
import { LinkComp as jo } from "./d08f5278.js";
import { CustomComp as Vo } from "./838c28e6.js";
import { DatePickerComp as Ao, DateRangeComp as Bo } from "./f146bb7b.js";
import { DividerComp as Mo } from "./37fe8ff5.js";
import { FileComp as Jo } from "./80ec0617.js";
import { FileViewerComp as Po } from "./28c8044f.js";
import { ImageComp as Ho } from "./14f3cb46.js";
import { J as Oo } from "./f6893ddd.js";
import { NumberInputComp as Uo } from "./4824c2dd.js";
import { RangeSliderComp as qo } from "./e216cc9c.js";
import { SliderComp as Go } from "./9705a5f9.js";
import { ProgressCircleComp as Qo } from "./a596fb06.js";
import { RatingComp as Wo } from "./71259289.js";
import { RichTextEditorComp as Yo } from "./41a09f5e.js";
import { CascaderWithDefault as zo } from "./01daa15d.js";
import { MultiSelectComp as Xo } from "./5aa5c532.js";
import { RadioComp as Zo } from "./04cb63ea.js";
import { SegmentedControlComp as _o } from "./3a7caf73.js";
import { SwitchComp as oe } from "./8ee6bfe5.js";
import { PasswordComp as ee } from "./21a6c95f.js";
import { TimePickerComp as me, TimeRangeComp as ie } from "./cd6ad4ce.js";
import { FormComp as re, defaultFormData as ae } from "./01e3e710.js";
import { IFrameComp as pe } from "./a6057d6a.js";
import { GridComp as te, defaultGridData as ne } from "./b6466fb6.js";
import { ListViewComp as se, defaultListViewData as Ce } from "./8e561439.js";
import { NavComp as de } from "./46847de0.js";
import { QRCodeComp as ce } from "./ede1fc51.js";
import { JsonExplorerComp as ue } from "./ef27b737.js";
import { JsonEditorComp as we } from "./447d2efa.js";
import { TreeComp as le } from "./cd2a73b9.js";
import { TreeSelectComp as fe } from "./3531d6d7.js";
import { AudioComp as ye } from "./f570c66c.js";
import { VideoComp as ge } from "./c1ef149c.js";
import { CarouselComp as Ne } from "./7780104f.js";
import { ToggleButtonComp as he } from "./cf0c467c.js";
import { defaultCollapsibleContainerData as be } from "./9a1bcddc.js";
import { ScannerComp as De } from "./145a5620.js";
import { SignatureComp as Re } from "./6d0ad852.js";
import { TimeLineComp as Fe } from "./967203ef.js";
import { CommentComp as ke } from "./c2318700.js";
import { MentionComp as Ie } from "./b5c6a90f.js";
import { AutoCompleteComp as Ke } from "./41ae39f7.js";
import { JsonLottieComp as $e } from "./a7e48161.js";
import { ResponsiveLayoutComp as Se } from "./ad48ffa2.js";
import { ControlButton as Le } from "./97e5fa86.js";
import "react";
import "react-dom";
import "./30970d5d.js";
import "./85fb0bcf.js";
import "./d9000f33.js";
import "./4cac7a5d.js";
import "./381f866e.js";
import "./3aa1b662.js";
import "./c57f24d6.js";
import "./5f1c844f.js";
import "./38d8a151.js";
import "./be290860.js";
import "./3ebea0a4.js";
import "./58aaa138.js";
import "./2ca8b68a.js";
import "./68aff0fe.js";
import "./a035a58e.js";
import "./6bf41a33.js";
import "./fb53fa7f.js";
import "./d55ed660.js";
import "./e2effbbc.js";
import "./5608d4fb.js";
import "./148baa10.js";
import "./5f75d4d9.js";
import "./9574b978.js";
import "./b6f8d60c.js";
import "./f52ee168.js";
import "./de2e4e92.js";
import "./bf2ffa97.js";
import "./90e6d3f7.js";
import "./3eacf14a.js";
import "./a353f3e4.js";
import "./a6ed71f1.js";
import "./270283bf.js";
import "./40fca083.js";
import "./4fe224ad.js";
import "./642e506a.js";
import "./b2ce40f6.js";
import "./0a417d48.js";
import "./cf64eb1a.js";
import "./c320947b.js";
import "./99912daf.js";
import "./1428e5db.js";
import "./b10db7f7.js";
import "./4afc263f.js";
import "./4a69de7b.js";
import "./04ffe6b4.js";
import "./b8c81969.js";
import "./3fa53843.js";
import "./0845e032.js";
const m = {
  source: "npm",
  isRemote: !0,
  packageName: "lowcoder-comps"
};
var n = {
  // Dashboards
  chart: {
    name: o("uiComp.chartCompName"),
    enName: "Chart",
    description: o("uiComp.chartCompDesc"),
    categories: ["dashboards"],
    icon: c,
    comp: e({
      ...m,
      compName: "chart"
    }),
    keywords: o("uiComp.chartCompKeywords"),
    layoutInfo: {
      w: 12,
      h: 40
    }
  },
  sharingcomponent: {
    name: o("meeting.sharingCompName"),
    enName: "Sharing",
    description: o("meeting.sharingCompName"),
    categories: ["collaboration"],
    icon: i,
    keywords: o("meeting.meetingCompKeywords"),
    // comp: VideoSharingStreamComp,
    comp: e({
      ...m,
      compName: "meetingSharing"
    }),
    withoutLoading: !0,
    layoutInfo: {
      w: 12,
      h: 50
    }
  },
  videocomponent: {
    name: o("meeting.videoCompName"),
    enName: "Video",
    description: o("meeting.videoCompName"),
    categories: ["collaboration"],
    icon: i,
    keywords: o("meeting.meetingCompKeywords"),
    // comp: VideoMeetingStreamComp,
    comp: e({
      ...m,
      compName: "meetingStream"
    }),
    withoutLoading: !0,
    layoutInfo: {
      w: 6,
      h: 32
    }
  },
  meeting: {
    name: o("meeting.meetingCompName"),
    enName: "Drawer",
    comp: e({
      ...m,
      compName: "meetingController"
    }),
    description: o("meeting.meetingCompDesc"),
    categories: ["collaboration"],
    icon: r,
    keywords: o("meeting.meetingCompKeywords"),
    // comp: VideoMeetingControllerComp,
    withoutLoading: !0
  },
  mermaid: {
    name: o("uiComp.mermaidCompName"),
    enName: "Mermaid Charts",
    comp: e({
      ...m,
      compName: "mermaid"
    }),
    description: o("uiComp.mermaidCompDesc"),
    categories: ["dashboards"],
    icon: u,
    keywords: o("uiComp.mermaidCompKeywords"),
    layoutInfo: {
      w: 12,
      h: 40
    }
  },
  timeline: {
    name: o("uiComp.timelineCompName"),
    enName: "timeline",
    description: o("uiComp.timelineCompDesc"),
    categories: ["dashboards"],
    icon: w,
    keywords: o("uiComp.timelineCompKeywords"),
    comp: Fe,
    layoutInfo: {
      w: 12,
      h: 40
    }
  },
  table: {
    name: o("uiComp.tableCompName"),
    enName: "Table",
    description: o("uiComp.tableCompDesc"),
    categories: ["dashboards", "projectmanagement"],
    icon: l,
    keywords: o("uiComp.tableCompKeywords"),
    comp: f,
    layoutInfo: {
      w: 12,
      h: 40
    },
    withoutLoading: !0,
    defaultDataFn: y
  },
  slider: {
    name: o("uiComp.sliderCompName"),
    enName: "Slider",
    description: o("uiComp.sliderCompDesc"),
    categories: ["dashboards"],
    icon: g,
    keywords: o("uiComp.sliderCompKeywords"),
    comp: Go,
    layoutInfo: {
      w: 6,
      h: 5
    }
  },
  rangeSlider: {
    name: o("uiComp.rangeSliderCompName"),
    enName: "Range Slider",
    description: o("uiComp.rangeSliderCompDesc"),
    categories: ["dashboards"],
    icon: N,
    keywords: o("uiComp.rangeSliderCompKeywords"),
    comp: qo,
    layoutInfo: {
      w: 6,
      h: 5
    }
  },
  // Layout
  responsiveLayout: {
    name: o("uiComp.responsiveLayoutCompName"),
    enName: "Responsive Layout",
    description: o("uiComp.responsiveLayoutCompDesc"),
    categories: ["layout"],
    icon: h,
    keywords: o("uiComp.responsiveLayoutCompKeywords"),
    comp: Se,
    withoutLoading: !0,
    layoutInfo: {
      w: 24,
      h: 25,
      delayCollision: !0
    }
  },
  container: {
    name: o("uiComp.containerCompName"),
    enName: "Container",
    description: o("uiComp.containerCompDesc"),
    categories: ["layout"],
    icon: b,
    keywords: o("uiComp.containerCompKeywords"),
    comp: a,
    withoutLoading: !0,
    layoutInfo: {
      w: 12,
      h: 25,
      // static: true,
      delayCollision: !0
    },
    defaultDataFn: D
  },
  tabbedContainer: {
    name: o("uiComp.tabbedContainerCompName"),
    enName: "Tabbed Container",
    description: o("uiComp.tabbedContainerCompDesc"),
    categories: ["layout"],
    icon: R,
    keywords: o("uiComp.tabbedContainerCompKeywords"),
    comp: F,
    withoutLoading: !0,
    layoutInfo: {
      w: 12,
      h: 25,
      // static: true,
      delayCollision: !0
    }
  },
  collapsibleContainer: {
    name: o("uiComp.collapsibleContainerCompName"),
    enName: "Collapsible Container",
    description: o("uiComp.collapsibleContainerCompDesc"),
    categories: ["layout"],
    icon: k,
    keywords: o("uiComp.collapsibleContainerCompKeywords"),
    comp: a,
    withoutLoading: !0,
    layoutInfo: {
      w: 12,
      h: 25,
      // static: true,
      delayCollision: !0
    },
    defaultDataFn: be
  },
  listView: {
    name: o("uiComp.listViewCompName"),
    enName: "List View",
    icon: I,
    description: o("uiComp.listViewCompDesc"),
    categories: ["layout"],
    keywords: o("uiComp.listViewCompKeywords"),
    comp: se,
    layoutInfo: {
      w: 12,
      h: 40,
      delayCollision: !0
    },
    defaultDataFn: Ce
  },
  grid: {
    name: o("uiComp.gridCompName"),
    enName: "Grid",
    icon: K,
    description: o("uiComp.gridCompDesc"),
    categories: ["layout"],
    keywords: o("uiComp.gridCompKeywords"),
    comp: te,
    layoutInfo: {
      w: 12,
      h: 40,
      delayCollision: !0
    },
    defaultDataFn: ne
  },
  modal: {
    name: o("uiComp.modalCompName"),
    enName: "Modal",
    icon: $,
    description: o("uiComp.modalCompDesc"),
    categories: ["layout"],
    keywords: o("uiComp.modalCompKeywords"),
    comp: S,
    withoutLoading: !0
  },
  drawer: {
    name: o("uiComp.drawerCompName"),
    enName: "Drawer",
    description: o("uiComp.drawerCompDesc"),
    categories: ["layout"],
    icon: r,
    keywords: o("uiComp.drawerCompKeywords"),
    comp: L,
    withoutLoading: !0
  },
  navigation: {
    name: o("uiComp.navigationCompName"),
    enName: "Navigation",
    description: o("uiComp.navigationCompDesc"),
    icon: x,
    categories: ["layout"],
    keywords: o("uiComp.navigationCompKeywords"),
    comp: de,
    layoutInfo: {
      w: 24,
      h: 5
    }
  },
  cascader: {
    name: o("uiComp.cascaderCompName"),
    enName: "Cascader",
    description: o("uiComp.cascaderCompDesc"),
    categories: ["layout"],
    icon: T,
    keywords: o("uiComp.cascaderCompKeywords"),
    comp: zo,
    layoutInfo: {
      w: 9,
      h: 5
    }
  },
  link: {
    name: o("uiComp.linkCompName"),
    enName: "Link",
    description: o("uiComp.linkCompDesc"),
    categories: ["layout"],
    icon: v,
    keywords: o("uiComp.linkCompKeywords"),
    comp: jo,
    layoutInfo: {
      w: 6,
      h: 5
    }
  },
  divider: {
    name: o("uiComp.dividerCompName"),
    enName: "Divider",
    description: o("uiComp.dividerCompDesc"),
    categories: ["layout"],
    icon: E,
    keywords: o("uiComp.dividerCompKeywords"),
    comp: Mo,
    layoutInfo: {
      w: 12,
      h: 1
    }
  },
  // Scheduling
  calendar: {
    name: o("uiComp.calendarCompName"),
    enName: "Calendar",
    description: o("uiComp.calendarCompDesc"),
    categories: ["scheduling", "projectmanagement"],
    icon: j,
    keywords: o("uiComp.calendarCompKeywords"),
    comp: e({
      ...m,
      compName: "calendar"
    }),
    layoutInfo: {
      w: 19,
      h: 60
    }
  },
  // Collaboration
  // sharingcomponent: {
  //   name: trans("meeting.sharingCompName"),
  //   enName: "Sharing",
  //   description: trans("meeting.sharingCompName"),
  //   categories: ["collaboration"],
  //   icon: VideoCompIcon,
  //   keywords: trans("meeting.meetingCompKeywords"),
  //   comp: VideoSharingStreamComp,
  //   withoutLoading: true,
  //   layoutInfo: {
  //     w: 12,
  //     h: 50,
  //   },
  // },
  // videocomponent: {
  //   name: trans("meeting.videoCompName"),
  //   enName: "Video",
  //   description: trans("meeting.videoCompName"),
  //   categories: ["collaboration"],
  //   icon: VideoCompIcon,
  //   keywords: trans("meeting.meetingCompKeywords"),
  //   comp: VideoMeetingStreamComp,
  //   withoutLoading: true,
  //   layoutInfo: {
  //     w: 6,
  //     h: 32,
  //   },
  // },
  // meeting: {
  //   name: trans("meeting.meetingCompName"),
  //   enName: "Drawer",
  //   description: trans("meeting.meetingCompDesc"),
  //   categories: ["collaboration"],
  //   icon: DrawerCompIcon,
  //   keywords: trans("meeting.meetingCompKeywords"),
  //   comp: VideoMeetingControllerComp,
  //   withoutLoading: true,
  // },
  comment: {
    name: o("uiComp.commentCompName"),
    enName: "comment",
    description: o("uiComp.commentCompDesc"),
    categories: ["forms", "collaboration"],
    icon: V,
    keywords: o("uiComp.commentCompKeywords"),
    comp: ke,
    layoutInfo: {
      w: 13,
      h: 55
    }
  },
  mention: {
    name: o("uiComp.mentionCompName"),
    enName: "mention",
    description: o("uiComp.mentionCompDesc"),
    categories: ["forms", "collaboration"],
    icon: A,
    keywords: o("uiComp.mentionCompKeywords"),
    comp: Ie
  },
  // Forms
  form: {
    name: o("uiComp.formCompName"),
    enName: "Form",
    description: o("uiComp.formCompDesc"),
    categories: ["forms"],
    icon: B,
    keywords: o("uiComp.formCompKeywords"),
    comp: re,
    withoutLoading: !0,
    layoutInfo: {
      w: 12,
      h: 50,
      // static: true,
      delayCollision: !0
    },
    defaultDataFn: ae
  },
  jsonSchemaForm: {
    name: o("uiComp.jsonSchemaFormCompName"),
    enName: "JSON Schema Form",
    description: o("uiComp.jsonSchemaFormCompDesc"),
    categories: ["forms"],
    icon: M,
    keywords: o("uiComp.jsonSchemaFormCompKeywords"),
    comp: Oo,
    layoutInfo: {
      w: 12,
      h: 50
    }
  },
  jsonEditor: {
    name: o("uiComp.jsonEditorCompName"),
    enName: "JSON Editor",
    description: o("uiComp.jsonEditorCompDesc"),
    categories: ["forms"],
    icon: J,
    keywords: o("uiComp.jsonEditorCompKeywords"),
    comp: we,
    layoutInfo: {
      w: 12,
      h: 50
    }
  },
  jsonExplorer: {
    name: o("uiComp.jsonExplorerCompName"),
    enName: "JSON Explorer",
    description: o("uiComp.jsonExplorerCompDesc"),
    categories: ["forms"],
    icon: P,
    keywords: o("uiComp.jsonExplorerCompKeywords"),
    comp: ue,
    layoutInfo: {
      w: 12,
      h: 50
    }
  },
  richTextEditor: {
    name: o("uiComp.richTextEditorCompName"),
    enName: "Rich Text Editor",
    categories: ["forms"],
    description: o("uiComp.richTextEditorCompDesc"),
    icon: H,
    keywords: o("uiComp.richTextEditorCompKeywords"),
    comp: Yo,
    layoutInfo: {
      w: 12,
      h: 50
    }
  },
  input: {
    name: o("uiComp.inputCompName"),
    enName: "Input",
    description: o("uiComp.inputCompDesc"),
    categories: ["forms"],
    icon: O,
    keywords: o("uiComp.inputCompKeywords"),
    comp: U,
    layoutInfo: {
      w: 6,
      h: 6
    }
  },
  password: {
    name: o("uiComp.passwordCompName"),
    enName: "Password",
    description: o("uiComp.passwordCompDesc"),
    categories: ["forms"],
    icon: q,
    keywords: o("uiComp.passwordCompKeywords"),
    comp: ee,
    layoutInfo: {
      w: 6,
      h: 6
    }
  },
  numberInput: {
    name: o("uiComp.numberInputCompName"),
    enName: "Number Input",
    description: o("uiComp.numberInputCompDesc"),
    categories: ["forms"],
    icon: G,
    keywords: o("uiComp.numberInputCompKeywords"),
    comp: Uo,
    layoutInfo: {
      w: 6,
      h: 6
    }
  },
  textArea: {
    name: o("uiComp.textAreaCompName"),
    enName: "Text Area",
    description: o("uiComp.textAreaCompDesc"),
    categories: ["forms"],
    icon: Q,
    keywords: o("uiComp.textAreaCompKeywords"),
    comp: W,
    layoutInfo: {
      w: 6,
      h: 12
    }
  },
  switch: {
    name: o("uiComp.switchCompName"),
    enName: "Switch",
    description: o("uiComp.switchCompDesc"),
    categories: ["forms"],
    icon: Y,
    keywords: o("uiComp.switchCompKeywords"),
    comp: oe,
    layoutInfo: {
      w: 6,
      h: 6
    }
  },
  checkbox: {
    name: o("uiComp.checkboxCompName"),
    enName: "Checkbox",
    description: o("uiComp.checkboxCompDesc"),
    categories: ["forms"],
    icon: z,
    keywords: o("uiComp.checkboxCompKeywords"),
    comp: X,
    layoutInfo: {
      w: 6,
      h: 6
    }
  },
  radio: {
    name: o("uiComp.radioCompName"),
    enName: "Radio",
    description: o("uiComp.radioCompDesc"),
    categories: ["forms"],
    icon: Z,
    keywords: o("uiComp.radioCompKeywords"),
    comp: Zo,
    layoutInfo: {
      w: 6,
      h: 6
    }
  },
  date: {
    name: o("uiComp.dateCompName"),
    enName: "Date",
    description: o("uiComp.dateCompDesc"),
    categories: ["forms", "scheduling"],
    icon: _,
    keywords: o("uiComp.dateCompKeywords"),
    comp: Ao,
    layoutInfo: {
      w: 6,
      h: 6
    }
  },
  dateRange: {
    name: o("uiComp.dateRangeCompName"),
    enName: "Date Range",
    description: o("uiComp.dateRangeCompDesc"),
    categories: ["forms", "scheduling"],
    icon: oo,
    keywords: o("uiComp.dateRangeCompKeywords"),
    comp: Bo,
    layoutInfo: {
      w: 12,
      h: 6
    }
  },
  time: {
    name: o("uiComp.timeCompName"),
    enName: "Time",
    description: o("uiComp.timeCompDesc"),
    categories: ["forms", "scheduling"],
    icon: eo,
    keywords: o("uiComp.timeCompKeywords"),
    comp: me,
    layoutInfo: {
      w: 6,
      h: 6
    }
  },
  timeRange: {
    name: o("uiComp.timeRangeCompName"),
    enName: "Time Range",
    categories: ["forms", "scheduling"],
    description: o("uiComp.timeRangeCompDesc"),
    icon: mo,
    keywords: o("uiComp.timeRangeCompKeywords"),
    comp: ie,
    layoutInfo: {
      w: 12,
      h: 6
    }
  },
  button: {
    name: o("uiComp.buttonCompName"),
    enName: "Button",
    description: o("uiComp.buttonCompDesc"),
    categories: ["forms"],
    icon: p,
    keywords: o("uiComp.buttonCompKeywords"),
    comp: io,
    layoutInfo: {
      w: 6,
      h: 6
    },
    withoutLoading: !0
  },
  controlButton: {
    name: o("meeting.meetingControlCompName"),
    enName: "Controls",
    description: o("meeting.meetingCompDesc"),
    categories: ["forms", "collaboration"],
    icon: p,
    keywords: o("meeting.meetingCompKeywords"),
    comp: Le,
    withoutLoading: !0,
    layoutInfo: {
      w: 3,
      h: 6
    }
  },
  dropdown: {
    name: o("uiComp.dropdownCompName"),
    enName: "Dropdown",
    description: o("uiComp.dropdownCompDesc"),
    categories: ["forms"],
    icon: ro,
    keywords: o("uiComp.dropdownCompKeywords"),
    comp: Eo,
    layoutInfo: {
      w: 6,
      h: 6
    }
  },
  toggleButton: {
    name: o("uiComp.toggleButtonCompName"),
    enName: "Toggle Button",
    description: o("uiComp.toggleButtonCompDesc"),
    categories: ["forms"],
    icon: ao,
    keywords: o("uiComp.toggleButtonCompKeywords"),
    comp: he,
    layoutInfo: {
      w: 3,
      h: 6
    }
  },
  segmentedControl: {
    name: o("uiComp.segmentedControlCompName"),
    enName: "Segmented Control",
    description: o("uiComp.segmentedControlCompDesc"),
    categories: ["forms"],
    icon: po,
    keywords: o("uiComp.segmentedControlCompKeywords"),
    comp: _o,
    layoutInfo: {
      w: 6,
      h: 6
    }
  },
  rating: {
    name: o("uiComp.ratingCompName"),
    enName: "Rating",
    description: o("uiComp.ratingCompDesc"),
    categories: ["forms"],
    icon: to,
    keywords: o("uiComp.ratingCompKeywords"),
    comp: Wo,
    layoutInfo: {
      w: 6,
      h: 6
    }
  },
  autocomplete: {
    name: o("uiComp.autoCompleteCompName"),
    enName: "autoComplete",
    description: o("uiComp.autoCompleteCompDesc"),
    categories: ["forms", "collaboration"],
    icon: no,
    keywords: so.spell(o("uiComp.autoCompleteCompName"), "first", "low").toString(),
    comp: Ke,
    layoutInfo: {
      w: 6,
      h: 5
    }
  },
  // Project Management
  progress: {
    name: o("uiComp.progressCompName"),
    enName: "Progress",
    description: o("uiComp.progressCompDesc"),
    categories: ["dashboards", "projectmanagement"],
    icon: Co,
    keywords: o("uiComp.progressCompKeywords"),
    comp: co,
    layoutInfo: {
      w: 6,
      h: 5
    }
  },
  progressCircle: {
    name: o("uiComp.progressCircleCompName"),
    enName: "Process Circle",
    description: o("uiComp.progressCircleCompDesc"),
    categories: ["dashboards", "projectmanagement"],
    icon: uo,
    keywords: o("uiComp.progressCircleCompKeywords"),
    comp: Qo,
    layoutInfo: {
      w: 6,
      h: 20
    }
  },
  // Document handling
  file: {
    name: o("uiComp.fileUploadCompName"),
    enName: "File Upload",
    description: o("uiComp.fileUploadCompDesc"),
    categories: ["documents"],
    icon: wo,
    keywords: o("uiComp.fileUploadCompKeywords"),
    comp: Jo,
    layoutInfo: {
      w: 6,
      h: 5
    }
  },
  fileViewer: {
    name: o("uiComp.fileViewerCompName"),
    enName: "File Viewer",
    description: o("uiComp.fileViewerCompDesc"),
    categories: ["documents"],
    icon: lo,
    keywords: o("uiComp.fileViewerCompKeywords"),
    comp: Po,
    layoutInfo: {
      w: 12,
      h: 40
    }
  },
  // Multimedia
  image: {
    name: o("uiComp.imageCompName"),
    enName: "Image",
    description: o("uiComp.imageCompDesc"),
    categories: ["multimedia"],
    icon: fo,
    keywords: o("uiComp.imageCompKeywords"),
    comp: Ho,
    layoutInfo: {
      w: 12,
      h: 40
    }
  },
  carousel: {
    name: o("uiComp.carouselCompName"),
    enName: "Carousel",
    description: o("uiComp.carouselCompDesc"),
    categories: ["multimedia"],
    icon: yo,
    keywords: o("uiComp.drawerCompKeywords"),
    comp: Ne,
    withoutLoading: !0,
    layoutInfo: {
      w: 12,
      h: 40
    }
  },
  audio: {
    name: o("uiComp.audioCompName"),
    enName: "Audio",
    description: o("uiComp.audioCompDesc"),
    categories: ["multimedia"],
    icon: go,
    keywords: o("uiComp.audioCompKeywords"),
    comp: ye,
    layoutInfo: {
      w: 6,
      h: 5
    }
  },
  video: {
    name: o("uiComp.videoCompName"),
    enName: "Video",
    description: o("uiComp.videoCompDesc"),
    categories: ["multimedia"],
    icon: i,
    keywords: o("uiComp.videoCompKeywords"),
    comp: ge,
    layoutInfo: {
      w: 12,
      h: 40
    }
  },
  jsonLottie: {
    name: o("uiComp.jsonLottieCompName"),
    enName: "Lottie Animation",
    description: o("uiComp.jsonLottieCompDesc"),
    categories: ["multimedia"],
    icon: No,
    keywords: o("uiComp.jsonLottieCompKeywords"),
    comp: $e,
    layoutInfo: {
      w: 12,
      h: 40
    }
  },
  imageEditor: {
    name: o("uiComp.imageEditorCompName"),
    enName: "Image Editor",
    comp: e({
      ...m,
      compName: "imageEditor"
    }),
    description: o("uiComp.imageEditorCompDesc"),
    categories: ["multimedia"],
    icon: ho,
    keywords: o("uiComp.imageEditorCompKeywords"),
    layoutInfo: {
      w: 12,
      h: 40
    }
  },
  // item Handling
  qrCode: {
    name: o("uiComp.qrCodeCompName"),
    enName: "QR Code",
    description: o("uiComp.qrCodeCompDesc"),
    categories: ["itemHandling", "documents"],
    icon: bo,
    keywords: o("uiComp.qrCodeCompKeywords"),
    comp: ce,
    layoutInfo: {
      w: 6,
      h: 32
    }
  },
  scanner: {
    name: o("uiComp.scannerCompName"),
    enName: "Scanner",
    description: o("uiComp.scannerCompDesc"),
    categories: ["itemHandling"],
    icon: Do,
    keywords: o("uiComp.scannerCompKeywords"),
    comp: De,
    layoutInfo: {
      w: 6,
      h: 5
    }
  },
  signature: {
    name: o("uiComp.signatureCompName"),
    enName: "Signature",
    description: o("uiComp.signatureCompDesc"),
    categories: ["itemHandling"],
    icon: Ro,
    keywords: o("uiComp.signatureCompKeywords"),
    comp: Re,
    layoutInfo: {
      w: 12,
      h: 40
    }
  },
  select: {
    name: o("uiComp.selectCompName"),
    enName: "Select",
    description: o("uiComp.selectCompDesc"),
    categories: ["forms", "itemHandling"],
    icon: Fo,
    keywords: o("uiComp.selectCompKeywords"),
    comp: ko,
    layoutInfo: {
      w: 6,
      h: 5
    }
  },
  multiSelect: {
    name: o("uiComp.multiSelectCompName"),
    enName: "Multiselect",
    description: o("uiComp.multiSelectCompDesc"),
    categories: ["forms", "itemHandling"],
    icon: Io,
    keywords: o("uiComp.multiSelectCompKeywords"),
    comp: Xo,
    layoutInfo: {
      w: 6,
      h: 5
    }
  },
  tree: {
    name: o("uiComp.treeCompName"),
    enName: "Tree",
    description: o("uiComp.treeCompDesc"),
    categories: ["layout", "itemHandling", "documents"],
    icon: Ko,
    keywords: o("uiComp.treeCompKeywords"),
    comp: le,
    layoutInfo: {
      w: 12,
      h: 40
    }
  },
  treeSelect: {
    name: o("uiComp.treeSelectCompName"),
    enName: "Tree Select",
    description: o("uiComp.treeSelectCompDesc"),
    categories: ["layout", "itemHandling", "documents"],
    icon: $o,
    keywords: o("uiComp.treeSelectCompKeywords"),
    comp: fe,
    layoutInfo: {
      w: 12,
      h: 5
    }
  },
  // Integration
  iframe: {
    name: o("uiComp.iframeCompName"),
    enName: "IFrame",
    description: o("uiComp.iframeCompDesc"),
    icon: So,
    categories: ["integration"],
    keywords: o("uiComp.iframeCompKeywords"),
    comp: pe,
    layoutInfo: {
      w: 12,
      h: 40
    }
  },
  custom: {
    name: o("uiComp.customCompName"),
    enName: "Custom Component",
    description: o("uiComp.customCompDesc"),
    icon: t,
    categories: ["integration"],
    keywords: o("uiComp.customCompKeywords"),
    comp: Vo,
    layoutInfo: {
      w: 12,
      h: 40
    }
  },
  module: {
    name: o("uiComp.moduleCompName"),
    enName: "Module",
    icon: t,
    description: o("uiComp.moduleCompDesc"),
    categories: [],
    keywords: o("uiComp.moduleCompKeywords"),
    comp: Lo,
    layoutInfo: {
      w: 12,
      h: 40
    }
  },
  // mixed
  text: {
    name: o("uiComp.textCompName"),
    enName: "Text",
    description: o("uiComp.textCompDesc"),
    categories: ["dashboards", "layout", "multimedia"],
    icon: xo,
    keywords: o("uiComp.textCompKeywords"),
    comp: To,
    layoutInfo: {
      w: 6,
      h: 24
    }
  }
};
function hi() {
  if (!n)
    return;
  const s = Object.entries(n);
  for (const [C, d] of s)
    vo(C, d);
}
export {
  hi as loadComps
};
